org.apache.cassandra.db

## Interface BatchlogManagerMBean

All Known Implementing Classes:
  BatchlogManager

    public interface BatchlogManagerMBean

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `countAllBatches()` Counts all batches currently in the batchlog.
`void` `forceBatchlogReplay()` Forces batchlog replay.
`long` `getTotalBatchesReplayed()`

### Method Detail

#### countAllBatches

    int countAllBatches()

Counts all batches currently in the batchlog.

Returns:
  total batch count

#### getTotalBatchesReplayed

    long getTotalBatchesReplayed()

Returns:
  total count of batches replayed since node start

#### forceBatchlogReplay

    void forceBatchlogReplay()
                      throws java.lang.Exception

Forces batchlog replay. Blocks until completion.

Throws:
  `java.lang.Exception`